> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a beneficiary

> This endpoint update a beneficiary.

### Header

<ParamField header="x-client-id" type="string" required>
  `x-client-id`.
</ParamField>

<ParamField header="x-auth-token" type="string" required>
  Bearer `YOUR_TOKEN_HERE`.
</ParamField>

### Parameters

<ParamField body="bank_country" type="string" required>
  Two-letter [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) country code.
</ParamField>

<ParamField body="account_currency" type="string" required>
  Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
</ParamField>

<ParamField body="entity_type" type="string" required>
  Entity type of the beneficiary.<br />
  One of `individual`, `company`
</ParamField>

<ParamField body="email" type="string" required>
  Email of the beneficiary.
</ParamField>

<ParamField body="nickname" type="string" required>
  Nickname of the beneficiary.<br />
  `Maximum length 120`
</ParamField>

<ParamField body="first_name" type="string">
  First name of the beneficiary.<br />
  `Maximum length 45`
</ParamField>

<ParamField body="last_name" type="string">
  Last name of the beneficiary.<br />
  `Maximum length 45`
</ParamField>

<ParamField body="company_name" type="string">
  Company name of the beneficiary.<br />
  `Maximum length 120`
</ParamField>

<ParamField body="payment_method" type="string" required>
  Payment method of the beneficiary.<br />
  One of `local`, `swift`
</ParamField>

<ParamField body="bank_name" type="string" required>
  Bank name of the beneficiary's bank account.<br />
  `Maximum length 240`
</ParamField>

<ParamField body="bank_address" type="string" required>
  Bank street address.<br />
  `Maximum length 240`
</ParamField>

<ParamField body="account_holder" type="string" required>
  Account holder name of the beneficiary’s bank account.<br />
  `Maximum length 36`
</ParamField>

<ParamField body="country_code" type="string" required>
  Two-letter [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) country code.
</ParamField>

<ParamField body="city" type="string" required>
  City of the beneficiary.<br />
  `Maximum length 36`
</ParamField>

<ParamField body="state" type="string" required>
  State of the beneficiary.<br />
  `Maximum length 96`
</ParamField>

<ParamField body="address" type="string" required>
  Street address of the beneficiary.<br />
  `Maximum length 255`
</ParamField>

<ParamField body="postal_code" type="string" required>
  Postal code of the beneficiary.<br />
  `Maximum length 12`
</ParamField>

<ParamField body="clearing_system" type="string" required>
  Clearing system.<br />
  `Maximum length 30`
</ParamField>

<ParamField body="account_number" type="string" required>
  Number of the account this beneficiary is associated with.<br />
  `Maximum length 60`
</ParamField>

<ParamField body="swift_code" type="string">
  Swift code.<br />
  `Maximum length 30`
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 200 if successful, 400 if not.
</ResponseField>

<ResponseField name="message" type="string">
  Response Message. "Success" if successful, others not.
</ResponseField>

<RequestExample>
  ```bash cURL Example Request theme={null}
  curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries/ee51860a-9441-4bf8-93b6-6309b3244734/update' \
  -H 'content-type: application/json' \
  -H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
  -H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
  --data-raw '{"bank_country":"US","account_currency":"USD","entity_type":"company","email":"demo@uqpay.com","nickname":"MANY A-SUN","first_name":"","last_name":"","company_name":"Courtesy Hardware Store","payment_method":"swift","bank_name":"1ST STATE BANK","bank_address":"4929 Briarwood Drive","account_holder":"Robert Shishani","country_code":"US","city":"Montgomery","state":"Alabama","address":"1230 Stafford Dr","postal_code":"36117","clearing_system":"SWIFT","account_number":"4865393923574557","swift_code":"230"}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "code": 200,
      "message": "Success"
  }
  ```
</ResponseExample>
